#' Convert a string to a compatible file name
#'
#' It removes accents and converts spaces and other special characters to an underscore.
#'
#' @param name [character] string to convert
#'
#' @return The converted [character] string.
#' @export
#'
#' @examples
#' iconv_filename("We don't like (wéïrd) àcçênts. And other things like $?€#%")
iconv_filename <- function(name) {
  s <-purge_string(name)
  s <- gsub(" +", "_", s)
  s <- gsub("?", "", s, fixed = TRUE)
  gsub('(_)\\1+', '\\1', s)
}
