% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/add_gitignore.R
\name{add_gitignore}
\alias{add_gitignore}
\title{Add .gitignore file suitable for R project}
\usage{
add_gitignore(
  path = ".",
  url = "https://raw.githubusercontent.com/github/gitignore/main/R.gitignore",
  additional_paths = c("/public")
)
}
\arguments{
\item{path}{A path. If it exists, it is used. If it does not exist, it is
created, provided that the parent path exists.}

\item{url}{a \code{\link{character}} string (or longer vector
    for the \code{"libcurl"} method) naming the URL of a resource to be
    downloaded.}
}
\value{
\code{NULL}, this function is used for side effect.
}
\description{
Add .gitignore file suitable for R project
}
\examples{
path <- tempdir()
add_gitignore(path = path)
readLines(file.path(path, ".gitignore"))
}
