% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/create_fairify.R
\name{create_fairify}
\alias{create_fairify}
\title{Create a "fairified" project}
\usage{
create_fairify(
  path,
  tidy = TRUE,
  check_name = FALSE,
  open = rlang::is_interactive(),
  with_reports = TRUE,
  git = TRUE,
  ...
)
}
\arguments{
\item{path}{A path. If it exists, it is used. If it does not exist, it is
created, provided that the parent path exists.}

\item{tidy}{if \code{TRUE}, run \code{\link[usethis:use_testthat]{usethis::use_testthat()}}, \code{\link[usethis:tidyverse]{usethis::use_tidy_description()}}, and \code{\link[usethis:tidyverse]{usethis::use_tidy_dependencies()}}}

\item{check_name}{Whether to check if the name is valid for CRAN and throw an
error if not.}

\item{open}{If \code{TRUE}, \link[usethis:proj_activate]{activates} the new project:
\itemize{
\item If using RStudio desktop, the package is opened in a new session.
\item If on RStudio server, the current RStudio project is activated.
\item Otherwise, the working directory and active project is changed.
}}

\item{with_reports}{If \code{TRUE}, run \code{create_reports}, preparing package structure for report publications}

\item{git}{if \code{TRUE}, initialises a Git repository}

\item{...}{Further parameters passed to \link[usethis:create_package]{usethis::create_package}}
}
\value{
Use for side effect.
}
\description{
Create a package ready for fairify your project.
}
\examples{
path <- tempdir()
create_fairify(path, open = FALSE)
list.files(path)
}
